org.apache.storm.generated

## Class SharedMemory

- java.lang.Object
- - org.apache.storm.generated.SharedMemory

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<SharedMemory>, org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>, org.apache.storm.thrift.TSerializable
  Direct Known Subclasses:
    SharedOffHeapWithinNode, SharedOffHeapWithinWorker, SharedOnHeap

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class SharedMemory
      extends Object
      implements org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>, Serializable, Cloneable, Comparable<SharedMemory>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SharedMemory._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<SharedMemory._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedMemory()`
    `SharedMemory(SharedMemory other)` Performs a deep copy on other.
    `SharedMemory(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(SharedMemory other)`
    `SharedMemory` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(SharedMemory that)`
    `SharedMemory._Fields` | `fieldForId(int fieldId)`
    `String` | `get_name()`
    `double` | `get_off_heap_node()`
    `double` | `get_off_heap_worker()`
    `double` | `get_on_heap()`
    `Object` | `getFieldValue(SharedMemory._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_name()` Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_off_heap_node()` Returns true if field off_heap_node is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_off_heap_worker()` Returns true if field off_heap_worker is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_on_heap()` Returns true if field on_heap is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(SharedMemory._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_name_isSet(boolean value)`
    `void` | `set_name(String name)`
    `void` | `set_off_heap_node_isSet(boolean value)`
    `void` | `set_off_heap_node(double off_heap_node)`
    `void` | `set_off_heap_worker_isSet(boolean value)`
    `void` | `set_off_heap_worker(double off_heap_worker)`
    `void` | `set_on_heap_isSet(boolean value)`
    `void` | `set_on_heap(double on_heap)`
    `void` | `setFieldValue(SharedMemory._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_name()`
    `void` | `unset_off_heap_node()`
    `void` | `unset_off_heap_worker()`
    `void` | `unset_on_heap()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SharedMemory._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SharedMemory

          public SharedMemory()

    - #### SharedMemory

          public SharedMemory(String name)

    - #### SharedMemory

          public SharedMemory(SharedMemory other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SharedMemory deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### get_name

          public String get_name()

    - #### set_name

          public void set_name(String name)

    - #### unset_name

          public void unset_name()

    - #### is_set_name

          public boolean is_set_name()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### set_name_isSet

          public void set_name_isSet(boolean value)

    - #### get_on_heap

          public double get_on_heap()

    - #### set_on_heap

          public void set_on_heap(double on_heap)

    - #### unset_on_heap

          public void unset_on_heap()

    - #### is_set_on_heap

          public boolean is_set_on_heap()

      Returns true if field on_heap is set (has been assigned a value) and false otherwise

    - #### set_on_heap_isSet

          public void set_on_heap_isSet(boolean value)

    - #### get_off_heap_worker

          public double get_off_heap_worker()

    - #### set_off_heap_worker

          public void set_off_heap_worker(double off_heap_worker)

    - #### unset_off_heap_worker

          public void unset_off_heap_worker()

    - #### is_set_off_heap_worker

          public boolean is_set_off_heap_worker()

      Returns true if field off_heap_worker is set (has been assigned a value) and false otherwise

    - #### set_off_heap_worker_isSet

          public void set_off_heap_worker_isSet(boolean value)

    - #### get_off_heap_node

          public double get_off_heap_node()

    - #### set_off_heap_node

          public void set_off_heap_node(double off_heap_node)

    - #### unset_off_heap_node

          public void unset_off_heap_node()

    - #### is_set_off_heap_node

          public boolean is_set_off_heap_node()

      Returns true if field off_heap_node is set (has been assigned a value) and false otherwise

    - #### set_off_heap_node_isSet

          public void set_off_heap_node_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(SharedMemory._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### getFieldValue

          public Object getFieldValue(SharedMemory._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### isSet

          public boolean isSet(SharedMemory._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(SharedMemory that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(SharedMemory other)

      Specified by:
        `compareTo` in interface `Comparable<SharedMemory>`

    - #### fieldForId

          public SharedMemory._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.